Ext.Loader.setConfig({enabled: true});
Ext.onReady(function() {
    Ext.tip.QuickTipManager.init();
    
    var pivotGrid = Ext.create('Mz.examples.Common', {
        title:          'Multiple grand totals',

        aggregate: [{
            dataIndex:  'value',
            header:     'Sum of value',
            aggregator: 'sum'
        }],
        
        leftAxis: [{
            dataIndex:  'company',
            header:     'Company',
            sortable:   false
        }],
        
        topAxis: [{
            width:      120,
            dataIndex:  'country'
        }],
        
        listeners: {
            pivotbuildtotals: function(matrix, totals){
                var dataAvg = {},
                    dataMax = {};
                
                Ext.Array.each(matrix.model, function(field){
                    var result,
                        agg;
                    
                    if(field.col && field.agg){
                        agg = matrix.aggregate.getByKey(field.agg);
                        result = matrix.results.get(matrix.grandTotalKey, field.col);
                        if(result && agg){
                            dataAvg[field.name] = result.calculateByFn('totalavg', agg.dataIndex, Mz.aggregate.Aggregators.avg);
                            dataMax[field.name] = result.calculateByFn('totalmax', agg.dataIndex, Mz.aggregate.Aggregators.max);
                        }
                    }
                });
                
                totals.push({
                    title:  'Grand total (avg)',
                    values: dataAvg
                },{
                    title:  'Grand total (max)',
                    values: dataMax
                });
            }
        }
    });

    
});
