Ext.data.JsonP.appearance({"guide":"<h1 id='appearance-section-appearance'>Appearance</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ol>\n<li><a href='#!/guide/appearance-section-layout'>Layout</a></li>\n<li><a href='#!/guide/appearance-section-totals-positioning'>Totals positioning</a></li>\n<li><a href='#!/guide/appearance-section-renderers'>Renderers</a></li>\n<li><a href='#!/guide/appearance-section-stateless'>Stateless</a></li>\n<li><a href='#!/guide/appearance-section-locked-grids'>Locked grids</a></li>\n</ol>\n</div>\n\n<h2 id='appearance-section-layout'>Layout</h2>\n\n<p>There are two layout types available so far:</p>\n\n<ul>\n<li>outline <p><img src=\"guides/appearance/outline.png\" alt=\"\" width=\"306\" height=\"349\"></p></li>\n<li>compact <p><img src=\"guides/appearance/compact.png\" alt=\"\" width=\"307\" height=\"350\"></p></li>\n</ul>\n\n\n<h2 id='appearance-section-totals-positioning'>Totals positioning</h2>\n\n<p>On both left and top axis the position of the totals and grand totals can be configured.\nYou can have them as \"first\", \"last\" or \"none\".</p>\n\n<p>If you have multiple dimensions configured on one of the axis then the group totals will always be\nvisible when the group is collapsed no matter what you have configured for totals. That\nconfiguration will be used when the group is expanded.</p>\n\n<h2 id='appearance-section-renderers'>Renderers</h2>\n\n<p>Renderers are used to either style your cell or to format the output value.</p>\n\n<p>Let's see how to easily style a cell. You need to define the renderer on the aggregate dimension.</p>\n\n<pre><code>// ...\naggregator: 'sum',\nrenderer: function(v, meta, record){\n    if(v &gt; 40000){\n        meta.style = \"background-color: yellow;\";\n    }\n    return Ext.util.Format.number(v, '0,000.00');\n}\n// ...\n</code></pre>\n\n<p>And here is the result.</p>\n\n<p><p><img src=\"guides/appearance/renderer.png\" alt=\"\" width=\"526\" height=\"182\"></p></p>\n\n<p>Or you can have a complex one where you may want to style your cell if the sum is lower than the average\nof some-other-field on the model.</p>\n\n<pre><code>// ...\naggregator: 'sum',\nrenderer: function(v, meta, record, recordIndex, columnIndex, store, view){\n    var grid = view.up('mzpivotgrid'),\n        topItem = grid.getTopAxisItem(meta.column),\n        leftItem = grid.getLeftAxisItem(record),\n        result;\n\n    if(topItem &amp;&amp; leftItem){\n        result = grid.getMatrix().results.get(leftItem.key, topItem.key);\n        // if you already have the avg configured on another dimension just fetch the result\n        // result.getValue('avg')\n\n        // otherwise calculate the result\n        result.calculateByFn('avg', 'some-other-field', <a href=\"#!/api/Mz.aggregate.Aggregators-method-avg\" rel=\"Mz.aggregate.Aggregators-method-avg\" class=\"docClass\">Mz.aggregate.Aggregators.avg</a>);\n\n        if(v &lt; result.getValue('avg')){\n            meta.style = \"background-color: yellow;\";\n        }\n    }\n    return Ext.util.Format.number(v, '0,000.00');\n}\n// ...\n</code></pre>\n\n<h2 id='appearance-section-stateless'>Stateless</h2>\n\n<p>The pivot grid is stateless if you need it to be. Just set stateful true and set a stateId\nlike for any other component in Ext JS.</p>\n\n<p>The state will save all dimension configs that you provided for the left, top and aggregate\nand will also save the expanded or collapsed groups.</p>\n\n<h2 id='appearance-section-locked-grids'>Locked grids</h2>\n\n<p>Sometimes you may need to have the left axis columns fixed so that you can scroll only the\ntop axis generated columns. You can achieve this by setting enableLocking true on the pivot grid.</p>\n","title":"Appearance"});