Ext.data.JsonP.getting_started({"guide":"<h1 id='getting_started-section-getting-started'>Getting Started</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ol>\n<li><a href='#!/guide/getting_started-section-requirements'>Requirements</a></li>\n<li><a href='#!/guide/getting_started-section-web-browsers'>Web browsers</a></li>\n<li><a href='#!/guide/getting_started-section-source-code'>Source code</a></li>\n<li><a href='#!/guide/getting_started-section-localization'>Localization</a></li>\n</ol>\n</div>\n\n<h2 id='getting_started-section-requirements'>Requirements</h2>\n\n<p>mzPivotGrid requires one of the following Sencha ExtJS versions:</p>\n\n<ul>\n<li>4.1.x</li>\n<li>4.2.x</li>\n<li>5.0.x</li>\n</ul>\n\n\n<p>If you are new to ExtJS then it's better to start by visiting <a href=\"http://www.sencha.com/learn/extjs/\">Learn ExtJS</a>.</p>\n\n<h2 id='getting_started-section-web-browsers'>Web browsers</h2>\n\n<p>Since the component depends on the ExtJS framework it will basically work in all\nbrowsers supported by the respective ExtJS version.</p>\n\n<h2 id='getting_started-section-source-code'>Source code</h2>\n\n<p>The component is delivered with full source code that follows the Sencha coding convention.\nThe source code is packaged in multiple Sencha packages that can be easily deployed\nto the packages folder of your MVC app.</p>\n\n<p>Just modify your app.json file to require mzPivotGrid:</p>\n\n<pre><code>{\n    \"name\": \"YourApp\",\n\n    \"requires\": [\n        \"mzPivotGrid\"\n    ],\n\n    \"id\": \"391a5ff6-2fd8-4e10-84d3-9114e1980e2d\"\n}\n</code></pre>\n\n<p>If you don't use a Sencha MVC app then you can also use the compiled versions.</p>\n\n<p>There is also a Sencha Architect package available in the packages folder.</p>\n\n<h2 id='getting_started-section-localization'>Localization</h2>\n\n<p>mzPivotGrid comes with localization files for Danish, English, French, German, Italian, Portuguese,\nRomanian, Russian and Turkish. It's pretty easy to localize it to your own language if\nnot available yet. Just add your own translation to the folder \"packages/mzPivotGrid/locale\".</p>\n","title":"Getting started"});