Ext.data.JsonP.introduction({"guide":"<h1 id='introduction-section-introduction'>Introduction</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ol>\n<li><a href='#!/guide/introduction-section-what-is-a-pivot-table%3F'>What is a pivot table?</a></li>\n<li><a href='#!/guide/introduction-section-what-is-mzpivotgrid%3F'>What is mzPivotGrid?</a></li>\n<li><a href='#!/guide/introduction-section-using-mzpivotgrid'>Using mzPivotGrid</a></li>\n</ol>\n</div>\n\n<h2 id='introduction-section-what-is-a-pivot-table%3F'>What is a pivot table?</h2>\n\n<p>The Ext JS grid panel is perfect for displaying large sets of data, and it provides\na large number of features of all kinds of data display. One of the additional kinds\nof data display that it doesn’t provide is a pivot grid. When it comes to reporting,\na <a href=\"http://en.wikipedia.org/wiki/Pivot_table#Explanation_of_a_pivot_table\">pivot grid</a>\nis the way to go because it helps you organize and summarize data and create reports;\nand it enables users to make more informed decisions about your data.</p>\n\n<h2 id='introduction-section-what-is-mzpivotgrid%3F'>What is mzPivotGrid?</h2>\n\n<p>mzPivotGrid is a pivot table implementation for <a href=\"http://www.sencha.com\">Sencha Ext JS</a> framework.</p>\n\n<p>Let’s imagine the following scenario. You have some sales data with the following fields:\ncountry, salesperson, order date, order amount and order ID. If you want to edit this data,\nyou could easily use an Ext JS GridPanel with CellEditing or RowEditing plugins.</p>\n\n<p><p><img src=\"guides/introduction/GridPanel.png\" alt=\"Grid panel\" width=\"550\" height=\"202\"></p></p>\n\n<p>What would you do if you had to answer the following questions?</p>\n\n<ul>\n<li>What are the order amounts of each salesperson?</li>\n<li>What are the order amounts of each salesperson in a specific country?</li>\n<li>How did salespeople perform in a specific year?</li>\n</ul>\n\n\n<p>You could use mzPivotGrid to create those reports and here is how they would look:</p>\n\n<p><p><img src=\"guides/introduction/mzPivotGrid_report1.png\" alt=\"What are the order amounts of each salesperson?\" width=\"619\" height=\"201\"></p></p>\n\n<p><p><img src=\"guides/introduction/mzPivotGrid_report2.png\" alt=\"What are the order amounts of each salesperson in a specific country?\" width=\"620\" height=\"201\"></p></p>\n\n<p><p><img src=\"guides/introduction/mzPivotGrid_report3.png\" alt=\"How did salespeople perform in a specific year?\" width=\"619\" height=\"202\"></p></p>\n\n<h2 id='introduction-section-using-mzpivotgrid'>Using mzPivotGrid</h2>\n\n<p>mzPivotGrid inherits the Ext JS Grid Panel component, so you can use most of its features\nyou are already familiar with: column resizing, locking, cell renderers, row/cell events\netc. The mzPivotGrid should be used when you want to use summation and pivot features\nthat aren’t provided in the default GridPanel.</p>\n\n<p>To break down the dataset into salespeople and years, you just have to configure the top and left axis:</p>\n\n<pre><code>leftAxis: [{\n    width:      80,\n    dataIndex:  'salesperson',\n    header:     'Salesperson'\n}],\ntopAxis: [{\n    dataIndex:  'year',\n    header:     'Year',\n    direction:  'ASC'\n}]\n</code></pre>\n\n<p>Multiple levels are supported, so if you need that you can just specify them in top and left axis.</p>\n\n<p>Now that you broke down the dataset on the top and left axis, it’s time to aggregate the cell\nvalues. Several kinds of aggregations are available including: sum, average, min, max, count\netc. If these are not enough you can provide your own aggregation function.</p>\n\n<pre><code>aggregate: [{\n    measure:    'amount',\n    header:     'Sales',\n    aggregator: 'sum',\n    align:      'right',\n    width:      85,\n    renderer:   Ext.util.Format.numberRenderer('0,000.00')\n},{\n    measure:    'orderid',\n    header:     'Qnt',\n    aggregator: function(records, measure, matrix, rowGroupKey, colGroupKey) {\n        // do your own algorithm\n        return records.length;\n    },\n    align:      'right',\n    width:      85,\n    renderer:   Ext.util.Format.numberRenderer('0,000.00')\n}]\n</code></pre>\n\n<p>As you have probably noticed in the above example for some reports you could aggregate\nmultiple data fields, say \"sales\" and \"quantity\".  You can easily achieve this by configuring\nall required aggregations.</p>\n\n<p><p><img src=\"guides/introduction/mzPivotGrid.png\" alt=\"Pivot grid\" width=\"598\" height=\"203\"></p></p>\n\n<p>Let's go deeper into the pivot grid functionality in the following guides.</p>\n","title":"Introduction"});