Ext.data.JsonP.plugins({"guide":"<h1 id='plugins-section-plugins'>Plugins</h1>\n<div class='toc'>\n<p><strong>Contents</strong></p>\n<ol>\n<li><a href='#!/guide/plugins-section-range-editor'>Range editor</a></li>\n<li><a href='#!/guide/plugins-section-drill-down'>Drill down</a></li>\n<li><a href='#!/guide/plugins-section-excel-export'>Excel export</a></li>\n<li><a href='#!/guide/plugins-section-configurator'>Configurator</a></li>\n</ol>\n</div>\n\n<p>The pivot grid comes out of the box with the following plugins:</p>\n\n<h2 id='plugins-section-range-editor'>Range editor</h2>\n\n<p>This plugin could be used to allow the user to edit the pivot grid results. The user has to\ndouble click a pivot grid cell in order to open a window where he can choose what\ntype of update should be done. The following types of edit are available:</p>\n\n<ul>\n<li>percentage: the value provided is actually a percentage value that should be used to increase\nthe values on all records behind that cell.</li>\n<li>increment: the value provided will be added to the existing value on each record.</li>\n<li>overwrite: the value provided will be used to replace the existing value on each record.</li>\n<li>uniformly: the provided value will be distributed uniformly on all records.</li>\n</ul>\n\n\n<p>The plugin provides two template methods that you can use: onBeforeRecordsUpdate and onAfterRecordsUpdate.</p>\n\n<h2 id='plugins-section-drill-down'>Drill down</h2>\n\n<p>This plugin allows the user to drill down the pivot grid results. The user has to double click\na pivot grid cell and a new window is opened with a grid that lists all records behind that cell.</p>\n\n<p>The grid available in that drill down window is customizable. You need to configure the \"columns\"\non the plugin same way you do with a normal Ext JS grid.</p>\n\n<h2 id='plugins-section-excel-export'>Excel export</h2>\n\n<p>This plugin allows you to export the pivot grid results to a Microsoft Excel spreadsheet.\nThe function getExcelData on the plugin will return the xml data. The function has two parameters:</p>\n\n<ul>\n<li>onlyExpandedNodes: set to true if you want to export only the expanded groups</li>\n<li>includeTotals: set to false if you don't want to include the totals in the xml export</li>\n</ul>\n\n\n<p>There are also a bunch of configs that could be set to style the xml export.</p>\n\n<p>The demo available in this documentation uses Base64 data urls to download the generated\nxml data as a file. This approach works only in Chrome and Firefox. To have a generic\nsolution working in all browsers it's better to send the xml data to the server and\nsend it back with the proper headers for a downloadable file.</p>\n\n<p>You can have define a function in your pivot grid extension like this:</p>\n\n<pre><code>// ...\nonExport: function() {\n    var me = this,\n        form = Ext.DomHelper.createDom({\n            tag:    'form',\n            action: 'url', // this is a URL on your backend that receives the xml content\n            method: 'POST',\n            children: [{\n                tag:    'input',\n                type:   'hidden',\n                name:   'filename',\n                value:  me.title\n            },{\n                tag:    'input',\n                type:   'hidden',\n                name:   'content',\n                value:  encodeURIComponent(me.getExcelData())\n            }]\n        });\n    form.submit();\n},\ngetExcelData: function(){\n    // let's assume that you defined your pluginId as \"excelexport\"\n    return this.getPlugin('excelexport').getExcelData(false, true);\n}\n// ...\n</code></pre>\n\n<p>In a php script on your server side you have to do something like this:</p>\n\n<pre><code>// ...\n$fileContent = $_POST['filename'] . '.xml';\n$fileContent = $_POST['content'];\nheader('Content-Length: ' . strlen($fileContent));\nheader(\"Content-Type:   application/vnd.ms-excel; charset=utf-8\");\nheader(\"Content-Disposition: attachment; filename=\\\"$fileName\\\"\");\nheader(\"Expires: 0\");\nheader(\"Cache-Control: must-revalidate, post-check=0, pre-check=0\");\nheader(\"Cache-Control: private\",false);\necho urldecode($fileContent);\n// ...\n</code></pre>\n\n<h2 id='plugins-section-configurator'>Configurator</h2>\n\n<p>This plugin will let the user easily configure the pivot grid with drag and drop. You can\ndefine \"fields\" on this plugin as an array of available fields to drag and drop on\ndimensions. If the \"fields\" config is empty then the plugin will automatically extract\nall fields available on the store model if using a Local matrix.</p>\n\n<p>If you decide to provide your own fields then define on each field some keys for:</p>\n\n<ul>\n<li>dataIndex: the field name on the model</li>\n<li>header: the field title displayed in the view</li>\n<li>any other dimension item config</li>\n</ul>\n\n","title":"Plugins"});